Debian Bug report logs - #507722
"passphrase prompt not displayed in boot process with insserv, CONCURRENCY=shell and bootlogd enabled"

version graph

Package: cryptsetup; Maintainer for cryptsetup is Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>; Source for cryptsetup is src:cryptsetup.

Reported by: Jochen Schulz <jrschulz@well-adjusted.de>

Date: Wed, 3 Dec 2008 22:03:04 UTC

Severity: normal

Fixed in version cryptsetup/2:1.0.7~rc1-1

Done: Jonas Meurer <jonas@freesources.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Wed, 03 Dec 2008 22:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Schulz <jrschulz@well-adjusted.de>:
New Bug report received and forwarded. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Wed, 03 Dec 2008 22:03:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jochen Schulz <jrschulz@well-adjusted.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: cryptsetup: unable to enter passphrase at boot time
Date: Wed, 03 Dec 2008 23:00:46 +0100
Package: cryptsetup
Version: 2:1.0.6-6
Severity: important

Hi,

I am trying to use an encrypted /home filesystem on a system whose boot
process is managed by insserv.

Unfortunately, the prompt from /etc/init.d/cryptdisks isn't visible on
screen at the time I am supposed to enter the passphrase. The system
just sits idle waiting for me to enter it. Above the cursor are kernel
messages about detected devices and information about a boot log being
created.

What makes things worse (and this report Severity: important, at least
in my opinion) is that, more often than not, my keypresses are echoed to
the screen and don't get read by cryptseup at all. Since cryptsetup is
the only software needing user interaction at boot time (and both
situations look exactly equally on screen), I strongly suspect it to be
the culprit. It looks like it closes stdin even before I have the chance
to enter my passphrase.

Thanks,
Jochen.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-1-686 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages cryptsetup depends on:
ii  dmsetup                      2:1.02.27-4 The Linux Kernel Device Mapper use
ii  libc6                        2.7-16      GNU C Library: Shared libraries
ii  libdevmapper1.02.1           2:1.02.27-4 The Linux Kernel Device Mapper use
ii  libpopt0                     1.14-4      lib for parsing cmdline parameters
ii  libuuid1                     1.41.3-1    universally unique id library

cryptsetup recommends no packages.

Versions of packages cryptsetup suggests:
ii  dosfstools                    3.0.1-1    utilities for making and checking 
ii  initramfs-tools [linux-initra 0.92l      tools for generating an initramfs
ii  udev                          0.125-7    /dev/ and hotplug management daemo

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Wed, 17 Dec 2008 22:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Wed, 17 Dec 2008 22:18:02 GMT) Full text and rfc822 format available.

Message #10 received at 507722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Jochen Schulz <jrschulz@well-adjusted.de>, 507722@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#507722: cryptsetup: unable to enter passphrase at boot time
Date: Wed, 17 Dec 2008 23:16:52 +0100
Hey Jochen,

On 03/12/2008 Jochen Schulz wrote:
> Hi,
> 
> I am trying to use an encrypted /home filesystem on a system whose boot
> process is managed by insserv.
> 
> Unfortunately, the prompt from /etc/init.d/cryptdisks isn't visible on
> screen at the time I am supposed to enter the passphrase. The system
> just sits idle waiting for me to enter it. Above the cursor are kernel
> messages about detected devices and information about a boot log being
> created.

Do you use any kind of bootsplash implementation, like splashy or
usplash? how does your exact setup look like? is /home directly on top
of the dm-crypt device, or do you use LVM?

What exactly do you see on the boot screen? Are you asked for a
passphrase input at all? If yes, how exactly does it look like?

Please provide more information so that we're able to track down the
actual bug.

> What makes things worse (and this report Severity: important, at least
> in my opinion) is that, more often than not, my keypresses are echoed to
> the screen and don't get read by cryptseup at all. Since cryptsetup is
> the only software needing user interaction at boot time (and both
> situations look exactly equally on screen), I strongly suspect it to be
> the culprit. It looks like it closes stdin even before I have the chance
> to enter my passphrase.

I prepared a new upload of cryptsetup which fixes several bugs. Could
you give that a try and report whether it fixes your bug as well?

You can find the new packages at http://people.debian.org/~mejo/cryptsetup/

greetings,
 jonas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Sun, 21 Dec 2008 16:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Schulz <jrschulz@well-adjusted.de>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sun, 21 Dec 2008 16:06:04 GMT) Full text and rfc822 format available.

Message #15 received at 507722@bugs.debian.org (full text, mbox):

From: Jochen Schulz <jrschulz@well-adjusted.de>
To: Jonas Meurer <jonas@freesources.org>
Cc: 507722@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#507722: cryptsetup: unable to enter passphrase at boot time
Date: Sun, 21 Dec 2008 17:04:51 +0100
[Message part 1 (text/plain, inline)]
Hi Jonas,

thanks for getting back on this.

Jonas Meurer:
> 
> Do you use any kind of bootsplash implementation, like splashy or
> usplash?

No.

> how does your exact setup look like? is /home directly on top
> of the dm-crypt device, or do you use LVM?

It is directly on the device. No LVM involved.

> What exactly do you see on the boot screen? Are you asked for a
> passphrase input at all? If yes, how exactly does it look like?

The last lines just say something about bootlogd being started and some
other service. I can scroll back up to init starting, but I cannot find
the passphrase prompt.

> Please provide more information so that we're able to track down the
> actual bug.

I wish I could. What is strange is that on another new installation
(different hardware) with the same setup I don't have the problem at
all.

>> What makes things worse (and this report Severity: important, at least
>> in my opinion) is that, more often than not, my keypresses are echoed to
>> the screen and don't get read by cryptseup at all.

I cannot confirm this anymore (not even with the package from unstable).
IMO this bug can be downgraded to 'normal' or even 'minor'. Maybe I was
just too impatient.

> I prepared a new upload of cryptsetup which fixes several bugs. Could
> you give that a try and report whether it fixes your bug as well?

Thanks for that. I tried that package, but it doesn't change the
behaviour.

J.
-- 
Fashion is more important to me than war, famine, disease or art.
[Agree]   [Disagree]
                 <http://www.slowlydownward.com/NODATA/data_enter2.html>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Mon, 22 Dec 2008 15:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Mon, 22 Dec 2008 15:36:04 GMT) Full text and rfc822 format available.

Message #20 received at 507722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Jochen Schulz <jrschulz@well-adjusted.de>
Cc: 507722@bugs.debian.org, control@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#507722: cryptsetup: unable to enter passphrase at boot time
Date: Mon, 22 Dec 2008 16:35:28 +0100
[Message part 1 (text/plain, inline)]
severity 507722 normal
thanks

---

Hey Jochen,

On 21/12/2008 Jochen Schulz wrote:
> > What exactly do you see on the boot screen? Are you asked for a
> > passphrase input at all? If yes, how exactly does it look like?
> 
> The last lines just say something about bootlogd being started and some
> other service. I can scroll back up to init starting, but I cannot find
> the passphrase prompt.

So your boot process hangs after bootlogd is started, correct? Can you
force the boot process to continue with <ctrl>+<c>?

Did you already try to remove bootlogd and see whether that fixes your
boot process?

please try to describe more detailed what exactly happens, and what
doesn't happen despite you expecting it to happen.

> > Please provide more information so that we're able to track down the
> > actual bug.
> 
> I wish I could. What is strange is that on another new installation
> (different hardware) with the same setup I don't have the problem at
> all.

Ok, but you still have the system where the issues did occur. And on
this system, you're still able to reproduce the bug?

greetings,
 jonas
[signature.asc (application/pgp-signature, inline)]

Severity set to `normal' from `important' Request was from Jonas Meurer <jonas@freesources.org> to control@bugs.debian.org. (Mon, 22 Dec 2008 15:36:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Sun, 04 Jan 2009 18:42:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Schulz <jrschulz@well-adjusted.de>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sun, 04 Jan 2009 18:42:02 GMT) Full text and rfc822 format available.

Message #27 received at 507722@bugs.debian.org (full text, mbox):

From: Jochen Schulz <jrschulz@well-adjusted.de>
To: Jonas Meurer <jonas@freesources.org>
Cc: 507722@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#507722: cryptsetup: unable to enter passphrase at boot time
Date: Sun, 4 Jan 2009 19:38:54 +0100
[Message part 1 (text/plain, inline)]
Jonas Meurer:
> 
> So your boot process hangs after bootlogd is started, correct? Can you
> force the boot process to continue with <ctrl>+<c>?

It doesn't really hang, it's just that cryptsetup waits for me to enter
the passphrase without showing the prompt. If I enter the passphrase and
press Enter, booting continues normally.

What I can see when booting:

... kernel messages ...
INIT: version 2.86 booting
Using shell-style concurrent boot in runlevel S.
Starting hotplug events dispatcher: udevd.
Synthesizing the initial hotplug events...done.
Waiting for /dev to be fully populated...
... kernel messages ...
done.
Starting boot logger: bootlogdSetting the system clock.
_

At the last line, the cursor is blinking and cryptsetup is waiting for
me to enter the passphrase.

> Did you already try to remove bootlogd and see whether that fixes your
> boot process?

Yes, I didn't expect it to change anything but disabling bootlogd in
/etc/default/bootlogd makes the passphrase promopt visible again.

>> I wish I could. What is strange is that on another new installation
>> (different hardware) with the same setup I don't have the problem at
>> all.

I can reproduce the problem on this system as well by enabling bootlogd.

J.
-- 
A passionate argument means more to me than a blockbuster movie.
[Agree]   [Disagree]
                 <http://www.slowlydownward.com/NODATA/data_enter2.html>
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `unable to enter passphrase at boot time with bootlogd enabled' from `cryptsetup: unable to enter passphrase at boot time'. Request was from Jonas Meurer <mejo@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 01:12:02 GMT) Full text and rfc822 format available.

Severity set to `normal' from `normal' Request was from Jonas Meurer <mejo@debian.org> to control@bugs.debian.org. (Mon, 26 Jan 2009 01:12:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Thu, 19 Feb 2009 23:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Thu, 19 Feb 2009 23:36:02 GMT) Full text and rfc822 format available.

Message #36 received at 507722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Jochen Schulz <jrschulz@well-adjusted.de>
Cc: 507722@bugs.debian.org
Subject: Re: Bug#507722: cryptsetup: unable to enter passphrase at boot time with bootlogd enabled
Date: Thu, 19 Feb 2009 23:33:45 +0000
Hey Jochen,

On 04/01/2009 Jochen Schulz wrote:
> What I can see when booting:
> 
> ... kernel messages ...
> INIT: version 2.86 booting
> Using shell-style concurrent boot in runlevel S.
> Starting hotplug events dispatcher: udevd.
> Synthesizing the initial hotplug events...done.
> Waiting for /dev to be fully populated...
> ... kernel messages ...
> done.
> Starting boot logger: bootlogdSetting the system clock.
> _
> 
> At the last line, the cursor is blinking and cryptsetup is waiting for
> me to enter the passphrase.
> 
> > Did you already try to remove bootlogd and see whether that fixes your
> > boot process?
> 
> Yes, I didn't expect it to change anything but disabling bootlogd in
> /etc/default/bootlogd makes the passphrase promopt visible again.
> 
> >> I wish I could. What is strange is that on another new installation
> >> (different hardware) with the same setup I don't have the problem at
> >> all.
> 
> I can reproduce the problem on this system as well by enabling bootlogd.

I just tried to reproduce the bug on a recent debian/sid kvm
installation with luks-encrypted /home, unencrypted rootfs and bootlogd
enabled. I wasn't able to reproduce it.

Here, the passphrase prompt is displayed in the same way with bootlogd
enabled and disabled. Could you try whether the bug still applies on
your system, and if yes, give me more details about your setup?

greetings,
 jonas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Sat, 21 Feb 2009 14:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Schulz <jrschulz@well-adjusted.de>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sat, 21 Feb 2009 14:00:02 GMT) Full text and rfc822 format available.

Message #41 received at 507722@bugs.debian.org (full text, mbox):

From: Jochen Schulz <jrschulz@well-adjusted.de>
To: Jonas Meurer <jonas@freesources.org>
Cc: 507722@bugs.debian.org
Subject: Re: Bug#507722: cryptsetup: unable to enter passphrase at boot time with bootlogd enabled
Date: Sat, 21 Feb 2009 14:57:53 +0100
[Message part 1 (text/plain, inline)]
Jonas Meurer:
> 
> Here, the passphrase prompt is displayed in the same way with bootlogd
> enabled and disabled. Could you try whether the bug still applies on
> your system, and if yes, give me more details about your setup?

Yes, I can still reproduce it. I am really out of ideas what might be
causing this. My current configuration:

- self-compiled vanilla 2.6.29-rc5 linux kernel. I tried vanilla
  2.6.28.7 and 2.6.27-1-amd64 (from experimental) as well with the same
  results.

- encrypted filesystems in /etc/crypttab:

  cswap0 /dev/sda6 /dev/random swap,cipher=aes-cbc-essiv:sha256,size=256,hash=sha256
  home   /dev/sda7 none        cipher=aes

  As you can see, there's (unfortunately) no luks. I don't know whether
  that makes any difference.

- cryptsetup version 2:1.0.6-7 (unstable)

- sysvinit version 2.86.ds1-61 (unstable)

- insserv version 1.12.0-4 (unstable), CONCURRENCY=shell in
  /etc/default/rcS. Disabling this setting resolves the problem, just
  like disabling bootlogd.



J.
-- 
In the west we kill people like chickens.
[Agree]   [Disagree]
                 <http://www.slowlydownward.com/NODATA/data_enter2.html>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Sat, 21 Feb 2009 19:51:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Schulz <ml@well-adjusted.de>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Sat, 21 Feb 2009 19:51:02 GMT) Full text and rfc822 format available.

Message #46 received at 507722@bugs.debian.org (full text, mbox):

From: Jochen Schulz <ml@well-adjusted.de>
To: Jonas Meurer <jonas@freesources.org>
Cc: 507722@bugs.debian.org
Subject: Re: Bug#507722: cryptsetup: unable to enter passphrase at boot time with bootlogd enabled
Date: Sat, 21 Feb 2009 20:48:01 +0100
[Message part 1 (text/plain, inline)]
Jochen Schulz:
> 
>   As you can see, there's (unfortunately) no luks. I don't know whether
>   that makes any difference.

I just changed my /home to luks, but that didn't solve the issue. So, to
summarize

insserv with CONCURRENCY=shell and bootlodg with BOOTLOGD_ENABLE=Yes
make it hard to enter the cryptdisks-early passphrase at boot because
the prompt is invisible.

And I think I understand why I observed that my keypresses have been
echoed to the screen sometimes. /var/log/boot reveals a pause of almost
thirty seconds when setting up encrypted swap (I used 'set -x' in
/etc/init.d/cryptdisks-early):

Sat Feb 21 19:32:03 2009: + cryptsetup -c aes-cbc-essiv:sha256 -s 256 -h sha256 --key-file=/dev/random create cswap0 /dev/sda6
Sat Feb 21 19:32:29 2009: + '[' -z '' ']'
Sat Feb 21 19:32:29 2009: + break
Sat Feb 21 19:32:29 2009: + return 0
Sat Feb 21 19:32:29 2009: + '[' ok '!=' ok ']'

Probably my machine lacks entropy during that time. Any keys pressed
while cryptsetup is waiting for the entropy pool to fill up end up on
the screen. Ironically, pressing keys appears to speed up this process.

But there are no messages at all from cryptdisks-early on screen. Not
even a success message about cswap0. I can only recognize that
cryptsetup is done setting up cswap0 and waiting for /home's passphrase
by pressing keys und wait for them to *not* appear on the screen.

One idea I had when investigating this issue: bootlogd appears to
prevent stderr from being printed to the screen. I can only see the 'set
-x' output from cryptdisks-early when shutting down (and, of course, in
the boot log file). Are all of cryptdisks-early's messages printed to
stderr instead of stdout? At least /lib/cryptsetup/askpass only prints
to stderr, as fas as I can see.

J.
-- 
If I was Mark Chapman I would have shot John Lennon with a water pistol.
[Agree]   [Disagree]
                 <http://www.slowlydownward.com/NODATA/data_enter2.html>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Mon, 23 Feb 2009 20:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Mon, 23 Feb 2009 20:51:04 GMT) Full text and rfc822 format available.

Message #51 received at 507722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Jochen Schulz <ml@well-adjusted.de>
Cc: 507722@bugs.debian.org
Subject: Re: Bug#507722: cryptsetup: unable to enter passphrase at boot time with bootlogd enabled
Date: Mon, 23 Feb 2009 21:48:35 +0100
[Message part 1 (text/plain, inline)]
package cryptsetup
retitle 507722 "passphrase prompt not displayed in boot process with insserv, CONCURRENCY=shell and bootlogd enabled"
thanks
----------

hello Jochen,

On 21/02/2009 Jochen Schulz wrote:
> Jochen Schulz:
> > 
> >   As you can see, there's (unfortunately) no luks. I don't know whether
> >   that makes any difference.
> 
> I just changed my /home to luks, but that didn't solve the issue. So, to
> summarize
> 
> insserv with CONCURRENCY=shell and bootlodg with BOOTLOGD_ENABLE=Yes
> make it hard to enter the cryptdisks-early passphrase at boot because
> the prompt is invisible.

Ok, that one finally made it possible for me to reproduce the bug.
After installing insserv and setting CONCURRENCY=shell in the kvm test
installation, the cryptsetup passphrase prompt is not displayed in boot
process any longer.

> And I think I understand why I observed that my keypresses have been
> echoed to the screen sometimes. /var/log/boot reveals a pause of almost
> thirty seconds when setting up encrypted swap (I used 'set -x' in
> /etc/init.d/cryptdisks-early):
> 
> Sat Feb 21 19:32:03 2009: + cryptsetup -c aes-cbc-essiv:sha256 -s 256 -h sha256 --key-file=/dev/random create cswap0 /dev/sda6
> Sat Feb 21 19:32:29 2009: + '[' -z '' ']'
> Sat Feb 21 19:32:29 2009: + break
> Sat Feb 21 19:32:29 2009: + return 0
> Sat Feb 21 19:32:29 2009: + '[' ok '!=' ok ']'
> 
> Probably my machine lacks entropy during that time. Any keys pressed
> while cryptsetup is waiting for the entropy pool to fill up end up on
> the screen. Ironically, pressing keys appears to speed up this process.

Yes, lack of entropy is exactly the problem here. You could use
/dev/urandom instead of /dev/random. Otherwise you'll have to cope with
the situation and input random characters over your keyboard until
enough entropy was available from /dev/random.

> But there are no messages at all from cryptdisks-early on screen. Not
> even a success message about cswap0. I can only recognize that
> cryptsetup is done setting up cswap0 and waiting for /home's passphrase
> by pressing keys und wait for them to *not* appear on the screen.
> 
> One idea I had when investigating this issue: bootlogd appears to
> prevent stderr from being printed to the screen. I can only see the 'set
> -x' output from cryptdisks-early when shutting down (and, of course, in
> the boot log file). Are all of cryptdisks-early's messages printed to
> stderr instead of stdout? At least /lib/cryptsetup/askpass only prints
> to stderr, as fas as I can see.

askpass writes to stderr, but the cryptdisks script itself uses lsb
logging functions, and as far as I can see from /lib/lsb/init-functions,
that one doesn't write to stderr.
And with CONCURRENCY=No set, cryptsetup passphrase prompt is displayed,
so bootlogd itself cannot be the problem. Additionally, the combination
of CONCURRENCY=Yes and bootlogd seems to suppress a lot of boot
messages, not only cryptdisks. 

greetings,
 jonas
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Mon, 23 Feb 2009 21:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Mon, 23 Feb 2009 21:06:02 GMT) Full text and rfc822 format available.

Message #56 received at 507722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Petter Reinholdtsen <pere@debian.org>
Cc: Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>, 507722@bugs.debian.org
Subject: issues with insserv, CONCURRENCY=shell and bootlogd enabled
Date: Mon, 23 Feb 2009 22:03:52 +0100
Hello,

In bugreport #507722, Jochen Schulz pointed out, that insserv and
CONCURRENCY=shell in combination with bootlogd enabled leads to lots of
boot messages to being suppressed. One of the suppressed messages is the
cryptsetup passphrase prompt (from the cryptdisks initscript).

This happens only with both CONCURRENCY=shell and BOOTLOGD_ENABLE=Yes
set. If either of the both is not set, then everything works as
expected. Thus the issue is neither only a problem with bootlogd, nor
with insserv, but only with the combination of both.

I guess that this behaviour is not intended and can be considered as a
bug.

Some testing revealed that not only the cryptdisks boot prompt is
suppressed. Instead, all boot messages from initscripts run after
bootlogd start and before bootlogd stop aren't displayed. The only
exception are the kernel messages produced by mount.

I don't know much about bootlogd and insserv. Could you give me advice
on how to go on with the bugreport? Shall I reassign it to sysvinit or
insserv? Or do further debugging?

greetings,
 jonas




Changed Bug title to `"passphrase prompt not displayed in boot process with insserv, CONCURRENCY=shell and bootlogd enabled"' from `unable to enter passphrase at boot time with bootlogd enabled'. Request was from Jonas Meurer <jonas@freesources.org> to control@bugs.debian.org. (Thu, 16 Jul 2009 00:21:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Mon, 20 Jul 2009 01:15:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonas Meurer <jonas@freesources.org>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Mon, 20 Jul 2009 01:15:07 GMT) Full text and rfc822 format available.

Message #63 received at 507722@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: 507722@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: [pkg-cryptsetup-devel] Bug#507722: issues with insserv, CONCURRENCY=shell and bootlogd enabled
Date: Mon, 20 Jul 2009 03:11:06 +0200
[Message part 1 (text/plain, inline)]
reassign 507722 sysvinit
thanks

On 23/02/2009 Jonas Meurer wrote:
> In bugreport #507722, Jochen Schulz pointed out, that insserv and
> CONCURRENCY=shell in combination with bootlogd enabled leads to lots of
> boot messages to being suppressed. One of the suppressed messages is the
> cryptsetup passphrase prompt (from the cryptdisks initscript).
> 
> This happens only with both CONCURRENCY=shell and BOOTLOGD_ENABLE=Yes
> set. If either of the both is not set, then everything works as
> expected. Thus the issue is neither only a problem with bootlogd, nor
> with insserv, but only with the combination of both.
> 
> I guess that this behaviour is not intended and can be considered as a
> bug.
> 
> Some testing revealed that not only the cryptdisks boot prompt is
> suppressed. Instead, all boot messages from initscripts run after
> bootlogd start and before bootlogd stop aren't displayed. The only
> exception are the kernel messages produced by mount.
> 
> I don't know much about bootlogd and insserv. Could you give me advice
> on how to go on with the bugreport? Shall I reassign it to sysvinit or
> insserv? Or do further debugging?

I'm reassigning the bugreport to sysvinit as this apparently seems to be
a bug in bootlogd.

I even believe that this is the same bug as described in bugreport
#532904

greetings,
 jonas
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package `cryptsetup' to `sysvinit'. Request was from Jonas Meurer <jonas@freesources.org> to control@bugs.debian.org. (Mon, 20 Jul 2009 01:15:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>:
Bug#507722; Package sysvinit. (Tue, 21 Jul 2009 19:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Petter Reinholdtsen <pere@hungry.com>:
Extra info received and forwarded to list. Copy sent to Debian sysvinit maintainers <pkg-sysvinit-devel@lists.alioth.debian.org>. (Tue, 21 Jul 2009 19:21:02 GMT) Full text and rfc822 format available.

Message #70 received at 507722@bugs.debian.org (full text, mbox):

From: Petter Reinholdtsen <pere@hungry.com>
To: 507722@bugs.debian.org, Jonas Meurer <jonas@freesources.org>
Subject: Re: Bug#507722: issues with insserv, CONCURRENCY=shell and bootlogd enabled
Date: Tue, 21 Jul 2009 21:16:14 +0200
reassign 507722 cryptsetup
thanks

I believe this issue was worked around/fixed in insserv version
1.12.0-6, already uploaded to unstable.  The fix is to flag the script
asking for passwords as interactive, to make sure they run alone and
have direct access to the boot console.  This can be done two ways,
either by editing /etc/insserv.conf (or a file in
/etc/insserv.conf.d/), or by adding the new LSB-style init.d script
header "X-Interactive: true".  I recommend the latter, to avoid
keeping the list of interactive script in the insserv package.  See
#458224 and #510517 for more information.

Because of this, I reassign this back to the cryptsetup package, and
ask for this header to show up in the init.d scripts needing it, and
ask the bug reporter to use a newer insserv package until the
cryptsetup package is fixed.

Happy hacking,
-- 
Petter Reinholdtsen




Bug reassigned from package `sysvinit' to `cryptsetup'. Request was from Petter Reinholdtsen <pere@hungry.com> to control@bugs.debian.org. (Tue, 21 Jul 2009 19:21:04 GMT) Full text and rfc822 format available.

Reply sent to Jonas Meurer <jonas@freesources.org>:
You have taken responsibility. (Tue, 21 Jul 2009 20:24:02 GMT) Full text and rfc822 format available.

Notification sent to Jochen Schulz <jrschulz@well-adjusted.de>:
Bug acknowledged by developer. (Tue, 21 Jul 2009 20:24:02 GMT) Full text and rfc822 format available.

Message #77 received at 507722-close@bugs.debian.org (full text, mbox):

From: Jonas Meurer <jonas@freesources.org>
To: Petter Reinholdtsen <pere@hungry.com>
Cc: 507722-close@bugs.debian.org
Subject: Re: Bug#507722: issues with insserv, CONCURRENCY=shell and bootlogd enabled
Date: Tue, 21 Jul 2009 22:16:06 +0200
Source: cryptsetup
Source-Version: 2:1.0.7~rc1-1

On 21/07/2009 Petter Reinholdtsen wrote:
> I believe this issue was worked around/fixed in insserv version
> 1.12.0-6, already uploaded to unstable.  The fix is to flag the script
> asking for passwords as interactive, to make sure they run alone and
> have direct access to the boot console.  This can be done two ways,
> either by editing /etc/insserv.conf (or a file in
> /etc/insserv.conf.d/), or by adding the new LSB-style init.d script
> header "X-Interactive: true".  I recommend the latter, to avoid
> keeping the list of interactive script in the insserv package.  See
> #458224 and #510517 for more information.
> 
> Because of this, I reassign this back to the cryptsetup package, and
> ask for this header to show up in the init.d scripts needing it, and
> ask the bug reporter to use a newer insserv package until the
> cryptsetup package is fixed.

ah, that lsb header has been added to the cryptsetup initscripts with
upload of 2:1.0.7~rc1-1. thus the bug should be fixed now.

greetings,
 jonas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>:
Bug#507722; Package cryptsetup. (Wed, 22 Jul 2009 05:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jochen Schulz <jrschulz@well-adjusted.de>:
Extra info received and forwarded to list. Copy sent to Debian Cryptsetup Team <pkg-cryptsetup-devel@lists.alioth.debian.org>. (Wed, 22 Jul 2009 05:45:08 GMT) Full text and rfc822 format available.

Message #82 received at 507722@bugs.debian.org (full text, mbox):

From: Jochen Schulz <jrschulz@well-adjusted.de>
To: 507722@bugs.debian.org
Subject: Re: Bug#507722 closed by Jonas Meurer <jonas@freesources.org> (Re: Bug#507722: issues with insserv, CONCURRENCY=shell and bootlogd enabled)
Date: Wed, 22 Jul 2009 07:39:33 +0200
[Message part 1 (text/plain, inline)]
Jonas Meurer <jonas@freesources.org>
> On 21/07/2009 Petter Reinholdtsen wrote:
>> 
>> Because of this, I reassign this back to the cryptsetup package, and
>> ask for this header to show up in the init.d scripts needing it, and
>> ask the bug reporter to use a newer insserv package until the
>> cryptsetup package is fixed.
> 
> ah, that lsb header has been added to the cryptsetup initscripts with
> upload of 2:1.0.7~rc1-1. thus the bug should be fixed now.

Yes, it is. Thanks a lot!

J.
-- 
When driving at night I find the headlights of oncoming vehicles very
attractive.
[Agree]   [Disagree]
                 <http://www.slowlydownward.com/NODATA/data_enter2.html>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Sep 2009 07:30:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:54:45 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.